Bug 828690 - 'yum clean' gives a wrong impression
'yum clean' gives a wrong impression
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Zdeněk Pavlas
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2012-06-05 04:09 EDT by Karel Srot
Modified: 2014-02-04 10:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 735333
Environment:
Last Closed: 2013-12-18 15:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-05 04:09:49 EDT
present on rhel 5.8 too

+++ This bug was initially created as a clone of Bug #735333 +++

Description of problem:
The command 'yum clean' is considered too ambiguous by yum to commit
any action. The error message is emitted.

However the rest of the output of Yum as whole might give a wrong
impression that the appropriate actions are made.

Version-Release number of selected component (if applicable):
yum-3.2.29-17.el6.noarch

How reproducible:
Deterministic

Steps to Reproduce:
1. Have some repositories enabled
2. yum clean
3.
  
Actual results:
# yum clean 
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Error: clean requires an option: headers, packages, metadata, dbcache, plugins, expire-cache, rpmdb, all
Cleaning repos: beaker rhel-x86_64-server-6
# echo $?
0

Expected results:
# yum clean 
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Error: clean requires an option: headers, packages, metadata, dbcache, plugins, expire-cache, rpmdb, all
# echo $?
1
Comment 1 RHEL Product and Program Management 2012-06-11 21:17:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2013-05-01 02:41:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 James Antill 2013-12-18 15:59:24 EST
 Given this is a minor UI thing, I'm going to close this out for RHEL-5. I believe it's fixed in RHEL-6, but it is for RHEL-7/upstream.

Note You need to log in before you can comment on or make changes to this bug.